Up

# NSImage

### Authors

Adam Fedor (`fedor@colorado.edu`)

> Load, manipulate and display images

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSImage class
2. Software documentation for the NSBundle(NSImageAdditions) category
3. Software documentation for the GSImageDelegateProtocol protocol

# Software documentation for the NSImage class

## NSImage : NSObject

> Declared in:
>   AppKit/NSImage.h

> Conforms to:
>   NSCoding
>   NSCopying

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +canInitWithPasteboard:
- +imageFileTypes
- +imageNamed:
- +imagePasteboardTypes
- +imageUnfilteredFileTypes
- +imageUnfilteredPasteboardTypes
- -TIFFRepresentation
- -TIFFRepresentationUsingCompression:factor:
- -addRepresentation:
- -addRepresentations:
- -backgroundColor
- -bestRepresentationForDevice:
- -cacheDepthMatchesImageDepth
- -cacheMode
- -compositeToPoint:fromRect:operation:
- -compositeToPoint:fromRect:operation:fraction:
- -compositeToPoint:operation:
- -compositeToPoint:operation:fraction:
- -delegate
- -dissolveToPoint:fraction:
- -dissolveToPoint:fromRect:fraction:
- -drawAtPoint:fromRect:operation:fraction:
- -drawInRect:fromRect:operation:fraction:
- -drawRepresentation:inRect:
- -initByReferencingFile:
- -initWithBitmapHandle:
- -initWithContentsOfFile:
- -initWithContentsOfURL:
- -initWithData:
- -initWithIconHandle:
- -initWithPasteboard:
- -initWithSize:
- -isCachedSeparately
- -isDataRetained
- -isFlipped
- -isValid
- -lockFocus
- -lockFocusOnRepresentation:
- -matchesOnMultipleResolution
- -name
- -prefersColorMatch
- -recache
- -removeRepresentation:
- -representations
- -scalesWhenResized
- -setBackgroundColor:
- -setCacheDepthMatchesImageDepth:
- -setCacheMode:
- -setCachedSeparately:
- -setDataRetained:
- -setDelegate:
- -setFlipped:
- -setMatchesOnMultipleResolution:
- -setName:
- -setPrefersColorMatch:
- -setScalesWhenResized:
- -setSize:
- -setUsesEPSOnResolutionMismatch:
- -size
- -unlockFocus
- -usesEPSOnResolutionMismatch

### canInitWithPasteboard:

+ (BOOL) canInitWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### imageFileTypes

+ (NSArray*) imageFileTypes;

Description forthcoming.

### imageNamed:

+ (id) imageNamed: (NSString*)aName;

Description forthcoming.

### imagePasteboardTypes

+ (NSArray*) imagePasteboardTypes;

Description forthcoming.

### imageUnfilteredFileTypes

+ (NSArray*) imageUnfilteredFileTypes;

Description forthcoming.

### imageUnfilteredPasteboardTypes

+ (NSArray*) imageUnfilteredPasteboardTypes;

Description forthcoming.

### TIFFRepresentation

- (NSData*) TIFFRepresentation;

Description forthcoming.

### TIFFRepresentationUsingCompression:factor:

- (NSData*) TIFFRepresentationUsingCompression: (NSTIFFCompression)comp factor: (float)aFloat;

Description forthcoming.

### addRepresentation:

- (void) addRepresentation: (NSImageRep*)imageRep;

Description forthcoming.

### addRepresentations:

- (void) addRepresentations: (NSArray*)imageRepArray;

Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### bestRepresentationForDevice:

- (NSImageRep*) bestRepresentationForDevice: (NSDictionary*)deviceDescription;

Description forthcoming.

### cacheDepthMatchesImageDepth

- (BOOL) cacheDepthMatchesImageDepth;

Description forthcoming.

### cacheMode

- (NSImageCacheMode) cacheMode;

Description forthcoming.

### compositeToPoint:fromRect:operation:

- (void) compositeToPoint: (NSPoint)aPoint fromRect: (NSRect)aRect operation: (NSCompositingOperation)op;

Description forthcoming.

### compositeToPoint:fromRect:operation:fraction:

- (void) compositeToPoint: (NSPoint)aPoint fromRect: (NSRect)srcRect operation: (NSCompositingOperation)op fraction: (float)delta;

Description forthcoming.

### compositeToPoint:operation:

- (void) compositeToPoint: (NSPoint)aPoint operation: (NSCompositingOperation)op;

Description forthcoming.

### compositeToPoint:operation:fraction:

- (void) compositeToPoint: (NSPoint)aPoint operation: (NSCompositingOperation)op fraction: (float)delta;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### dissolveToPoint:fraction:

- (void) dissolveToPoint: (NSPoint)aPoint fraction: (float)aFloat;

Description forthcoming.

### dissolveToPoint:fromRect:fraction:

- (void) dissolveToPoint: (NSPoint)aPoint fromRect: (NSRect)aRect fraction: (float)aFloat;

Description forthcoming.

### drawAtPoint:fromRect:operation:fraction:

- (void) drawAtPoint: (NSPoint)point fromRect: (NSRect)srcRect operation: (NSCompositingOperation)op fraction: (float)delta;

Description forthcoming.

### drawInRect:fromRect:operation:fraction:

- (void) drawInRect: (NSRect)dstRect fromRect: (NSRect)srcRect operation: (NSCompositingOperation)op fraction: (float)delta;

Description forthcoming.

### drawRepresentation:inRect:

- (BOOL) drawRepresentation: (NSImageRep*)imageRep inRect: (NSRect)aRect;

Description forthcoming.

### initByReferencingFile:

- (id) initByReferencingFile: (NSString*)fileName;

Description forthcoming.

### initWithBitmapHandle:

- (id) initWithBitmapHandle: (void*)bitmap;

Description forthcoming.

### initWithContentsOfFile:

- (id) initWithContentsOfFile: (NSString*)fileName;

Description forthcoming.

### initWithContentsOfURL:

- (id) initWithContentsOfURL: (NSURL*)anURL;

Description forthcoming.

### initWithData:

- (id) initWithData: (NSData*)data;

Description forthcoming.

### initWithIconHandle:

- (id) initWithIconHandle: (void*)icon;

Description forthcoming.

### initWithPasteboard:

- (id) initWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### initWithSize:

- (id) initWithSize: (NSSize)aSize;

Description forthcoming.

### isCachedSeparately

- (BOOL) isCachedSeparately;

Description forthcoming.

### isDataRetained

- (BOOL) isDataRetained;

Description forthcoming.

### isFlipped

- (BOOL) isFlipped;

Description forthcoming.

### isValid

- (BOOL) isValid;

Description forthcoming.

### lockFocus

- (void) lockFocus;

Description forthcoming.

### lockFocusOnRepresentation:

- (void) lockFocusOnRepresentation: (NSImageRep*)imageRep;

Description forthcoming.

### matchesOnMultipleResolution

- (BOOL) matchesOnMultipleResolution;

Description forthcoming.

### name

- (NSString*) name;

Description forthcoming.

### prefersColorMatch

- (BOOL) prefersColorMatch;

Description forthcoming.

### recache

- (void) recache;

Description forthcoming.

### removeRepresentation:

- (void) removeRepresentation: (NSImageRep*)imageRep;

Description forthcoming.

### representations

- (NSArray*) representations;

Description forthcoming.

### scalesWhenResized

- (BOOL) scalesWhenResized;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setCacheDepthMatchesImageDepth:

- (void) setCacheDepthMatchesImageDepth: (BOOL)flag;

Description forthcoming.

### setCacheMode:

- (void) setCacheMode: (NSImageCacheMode)mode;

Description forthcoming.

### setCachedSeparately:

- (void) setCachedSeparately: (BOOL)flag;

Description forthcoming.

### setDataRetained:

- (void) setDataRetained: (BOOL)flag;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setFlipped:

- (void) setFlipped: (BOOL)flag;

Description forthcoming.

### setMatchesOnMultipleResolution:

- (void) setMatchesOnMultipleResolution: (BOOL)flag;

Description forthcoming.

### setName:

- (BOOL) setName: (NSString*)aName;

Description forthcoming.

### setPrefersColorMatch:

- (void) setPrefersColorMatch: (BOOL)flag;

Description forthcoming.

### setScalesWhenResized:

- (void) setScalesWhenResized: (BOOL)flag;

Description forthcoming.

### setSize:

- (void) setSize: (NSSize)aSize;

Description forthcoming.

### setUsesEPSOnResolutionMismatch:

- (void) setUsesEPSOnResolutionMismatch: (BOOL)flag;

Description forthcoming.

### size

- (NSSize) size;

Description forthcoming.

### unlockFocus

- (void) unlockFocus;

Description forthcoming.

### usesEPSOnResolutionMismatch

- (BOOL) usesEPSOnResolutionMismatch;

Description forthcoming.

# Software documentation for the NSBundle(NSImageAdditions) category

## NSBundle(NSImageAdditions)

> Declared in:
>   AppKit/NSImage.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -pathForImageResource:

### pathForImageResource:

- (NSString*) pathForImageResource: (NSString*)name;

Description forthcoming.

# Software documentation for the GSImageDelegateProtocol protocol

## GSImageDelegateProtocol

> Declared in:
>   AppKit/NSImage.h

> Standards:
> - NotOpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -imageDidNotDraw:inRect:

### imageDidNotDraw:inRect:

- (NSImage*) imageDidNotDraw: (id)sender inRect: (NSRect)aRect;

Description forthcoming.

Up